#ifdef WRAPPER
/*
 * Silly wrapper program so that vgscan and vgchange can be in the
 * same binary to make our initrd smaller.
 *
 * Copyright 2002 Red Hat, Inc.
 *
 * Jeremy Katz <katzj@redhat.com>
 */

#include <string.h>
#include <stdio.h>

char *cmd = NULL;

#ifdef DEBUG
int opt_d = 0;
#endif

int vgscan_main(int argc, char **argv);
int vgchange_main(int argc, char **argv);

int main(int argc, char **argv) {
    char *p = strrchr(argv[0], '/');

    p = p ? p + 1 : argv[0];
    
    if (strncmp(p, "vgscan", 6) == 0) {
        return vgscan_main(argc, argv);
    } else if (strncmp(p, "vgchange", 8) == 0) {
        return vgchange_main(argc, argv);
    } else {
        printf("Unknown program name: %s\n", argv[0]);
        return 1;
    }
}
#else
void main() {}
#endif
